Package org.eclipse.jgit.treewalk

## Enum WorkingTreeIterator.MetadataDiff

- java.lang.Object
- - java.lang.Enum<WorkingTreeIterator.MetadataDiff>
  - - org.eclipse.jgit.treewalk.WorkingTreeIterator.MetadataDiff

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkingTreeIterator.MetadataDiff>`

Enclosing class:
  WorkingTreeIterator

    public static enum WorkingTreeIterator.MetadataDiff
    extends Enum<WorkingTreeIterator.MetadataDiff>

The result of a metadata-comparison between the current entry and a `DirCacheEntry`

### Enum Constant Summary

Enum Constants
`DIFFER_BY_METADATA` The entries are not equal by metaData (mode, length) or the `isUpdateNeeded` attribute of the index entry is set
`DIFFER_BY_TIMESTAMP` The entries are equal by metaData (mode, length) but differ by modification-timestamp.
`EQUAL` The entries are equal by metaData (mode, length, modification-timestamp) or the `assumeValid` attribute of the index entry is set
`SMUDGED` index entry is smudged - can't use that entry for comparison

### Method Summary

All Methods Static Methods Concrete Methods
`static WorkingTreeIterator.MetadataDiff` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static WorkingTreeIterator.MetadataDiff[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQUAL

    public static final WorkingTreeIterator.MetadataDiff EQUAL

The entries are equal by metaData (mode, length, modification-timestamp) or the `assumeValid` attribute of the index entry is set

#### DIFFER_BY_METADATA

    public static final WorkingTreeIterator.MetadataDiff DIFFER_BY_METADATA

The entries are not equal by metaData (mode, length) or the `isUpdateNeeded` attribute of the index entry is set

#### SMUDGED

    public static final WorkingTreeIterator.MetadataDiff SMUDGED

index entry is smudged - can't use that entry for comparison

#### DIFFER_BY_TIMESTAMP

    public static final WorkingTreeIterator.MetadataDiff DIFFER_BY_TIMESTAMP

The entries are equal by metaData (mode, length) but differ by modification-timestamp.

### Method Detail

#### values

    public static WorkingTreeIterator.MetadataDiff[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WorkingTreeIterator.MetadataDiff c : WorkingTreeIterator.MetadataDiff.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WorkingTreeIterator.MetadataDiff valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null